The Issue Type object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

description string
The Issue Type object
{
  "id": "issue-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "description": "description_example"
}
GET /api/support/issue-type/{id}

Retrieve a issue type

Retrieves the details of an existing issue type. Supply the unique issue type ID that was returned from a previous request.

Path parameters

id string required

The identifier of the issue type to retrieve.

Returns

Returns the issue type object if a valid identifier was provided.

GET /api/support/issue-type/{id}
curl https://api.overplane.dev/api/support/issue-type/issue-type_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "issue-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "description": "description_example"
}
GET /api/support/issue-type

List all issue types

Returns a list of issue types. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of issue type objects.

GET /api/support/issue-type
curl https://api.overplane.dev/api/support/issue-type \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "issue-type_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "description": "description_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/support/issue-type

Create a issue type

Creates a new issue type object.

Body parameters

description string

Returns

Returns the newly created issue type object if the call succeeded.

POST /api/support/issue-type
curl https://api.overplane.dev/api/support/issue-type \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json"
Response
{
  "id": "issue-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "description": "description_example"
}
PATCH /api/support/issue-type/{id}

Update a issue type

Updates the specified issue type by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the issue type to update.

Body parameters

description string

Returns

Returns the updated issue type object.

PATCH /api/support/issue-type/{id}
curl https://api.overplane.dev/api/support/issue-type/issue-type_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"description":"description_example"}'
Response
{
  "id": "issue-type_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "description": "description_example"
}
DELETE /api/support/issue-type/{id}

Delete a issue type

Permanently deletes a issue type. This cannot be undone.

Path parameters

id string required

The identifier of the issue type to delete.

Returns

Returns a confirmation that the issue type has been deleted.

DELETE /api/support/issue-type/{id}
curl https://api.overplane.dev/api/support/issue-type/issue-type_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "issue-type_abc123",
  "deleted": true
}